# Interface DatatypeLibraryFactory

All Known Implementing Classes:
  `DatatypeLibraryLoader`

public interface DatatypeLibraryFactory
Factory class for the DatatypeLibrary class.

The datatype library should provide the implementation of this interface if it wants to be found by the schema processors. The implementor also have to place a file in your jar file. See the reference datatype library implementation for detail.

Author:
  James Clark, Kohsuke KAWAGUCHI

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DatatypeLibrary`
  `createDatatypeLibrary(String namespaceURI)`
  Creates a new instance of a DatatypeLibrary that supports the specified namespace URI.

- ## Method Details

  - ### createDatatypeLibrary

    DatatypeLibrary createDatatypeLibrary(String namespaceURI)
    Creates a new instance of a DatatypeLibrary that supports the specified namespace URI.
    Returns:
      `null` if the specified namespace URI is not supported.